<% /*
     $Revision$
     $Id$
*/

imp = {
        func_enabled_import_app: // Wat mag ik zoal op deze specifieke import functie?
            function _func_enabled_import_app(import_app_key) // functiecode die bij de fac_import hoort
            {
              var sql = "SELECT f.fac_functie_code"
                      + "  FROM fac_functie f"
                      + "     , fac_import_app i"
                      + " WHERE f.fac_functie_key = i.fac_functie_key"
                      + "   AND i.fac_import_app_key = " + import_app_key;
              var oRs = Oracle.Execute(sql);
              var functiecode = oRs("fac_functie_code").value;
              oRs.Close();
              var iresult = user.func_enabled("*", // module
                                              null, // ins_discipline_key
                                              null, // alg_key
                                              user_key, // prs_key
                                              false, // checkOptimistic
                                              false); // optional

              // Rechten afhankelijk van functiecode
              iresult.canChange = iresult.canWrite(functiecode); // Wijzigen
              iresult.canReadAny = iresult.canRead(functiecode); // Lezen

              return iresult;
            },

        func_enabled_import: // Wat mag ik zoal op deze specifieke import?
            function _func_enabled_import(import_key)
            {
              var sql  = "SELECT fac_import_app_key"
                       + " FROM fac_import i"
                       + " WHERE i.fac_import_key = " + import_key;
              var oRs = Oracle.Execute(sql);
              var import_app_key = oRs("fac_import_app_key").value;
              oRs.Close();
              return imp.func_enabled_import_app(import_app_key);
            }
      }

%>
